Dashel::SerialPortEnumerator Class Reference

Serial port enumerator class. More...

`#include <dashel.h>`

## Static Public Member Functions

static std::map< int, std::pair< std::string, std::string > > | getPorts ()
| Retrieve list of all serial ports available on system. More...

## Detailed Description

Serial port enumerator class.

This class is just a package for one static method.

## Member Function Documentation

static std::map<int, std::pair<std::string, std::string> > Dashel::SerialPortEnumerator::getPorts | ( |  | ) |

static

Retrieve list of all serial ports available on system.

This function queries the Operating System for all available serial ports.

Returns
  A map where the key is the port number name as passed to the ser: protocol, and the value is a pair of the system device name and a human readable description that may be displayed in a user interface. All strings are encoded in UTF-8.

The documentation for this class was generated from the following file:

- dashel/dashel.h